// GENERATED BY THE COMMAND ABOVE; DO NOT EDIT
// This file was generated by swaggo/swag

package docs

import (
	"bytes"
	"encoding/json"
	"strings"

	"github.com/alecthomas/template"
	"github.com/swaggo/swag"
)

var doc = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{.Description}}",
        "title": "{{.Title}}",
        "contact": {},
        "license": {
            "name": "MIT",
            "url": "https://github.com/go-admin-team/go-admin/blob/master/LICENSE.md"
        },
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/api/v1/app-config": {
            "get": {
                "description": "获取系统配置信息，主要注意这里不在验证权限",
                "tags": [
                    "配置管理"
                ],
                "summary": "获取系统前台配置信息，主要注意这里不在验证权限",
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/captcha": {
            "get": {
                "description": "获取验证码",
                "tags": [
                    "登陆"
                ],
                "summary": "获取验证码",
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/db/columns/page": {
            "get": {
                "description": "数据库表列分页列表 / database table column page list",
                "tags": [
                    "工具 / 生成工具"
                ],
                "summary": "分页列表数据 / page list data",
                "parameters": [
                    {
                        "type": "string",
                        "description": "tableName / 数据表名称",
                        "name": "tableName",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "pageSize / 页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "pageIndex / 页码",
                        "name": "pageIndex",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/db/tables/page": {
            "get": {
                "description": "数据库表分页列表 / database table page list",
                "tags": [
                    "工具 / 生成工具"
                ],
                "summary": "分页列表数据 / page list data",
                "parameters": [
                    {
                        "type": "string",
                        "description": "tableName / 数据表名称",
                        "name": "tableName",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "pageSize / 页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "pageIndex / 页码",
                        "name": "pageIndex",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/dept": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "分页列表",
                "tags": [
                    "部门"
                ],
                "summary": "分页部门列表数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": "deptName",
                        "name": "deptName",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "deptId",
                        "name": "deptId",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "position",
                        "name": "position",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "部门"
                ],
                "summary": "添加部门",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysDeptInsertReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "删除数据",
                "tags": [
                    "部门"
                ],
                "summary": "删除部门",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysDeptDeleteReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"删除失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/dept/{deptId}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "部门"
                ],
                "summary": "获取部门数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": "deptId",
                        "name": "deptId",
                        "in": "path"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "部门"
                ],
                "summary": "修改部门",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysDeptUpdateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/dict-data/option-select": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "数据字典根据key获取",
                "tags": [
                    "字典数据"
                ],
                "summary": "数据字典根据key获取",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "dictType",
                        "name": "dictType",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/dict/data": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "字典数据"
                ],
                "summary": "字典数据列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "status",
                        "name": "status",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "dictCode",
                        "name": "dictCode",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "dictType",
                        "name": "dictType",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "字典数据"
                ],
                "summary": "添加字典数据",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysDictDataInsertReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"添加成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "删除数据",
                "tags": [
                    "字典数据"
                ],
                "summary": "删除字典数据",
                "parameters": [
                    {
                        "description": "body",
                        "name": "dictCode",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysDictDataDeleteReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"删除成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/dict/data/{dictCode}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "字典数据"
                ],
                "summary": "通过编码获取字典数据",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "字典编码",
                        "name": "dictCode",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "字典数据"
                ],
                "summary": "修改字典数据",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysDictDataUpdateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"修改成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/dict/type": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "字典类型"
                ],
                "summary": "字典类型列表数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": "dictName",
                        "name": "dictName",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "dictId",
                        "name": "dictId",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "dictType",
                        "name": "dictType",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "字典类型"
                ],
                "summary": "添加字典类型",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysDictTypeInsertReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "删除数据",
                "tags": [
                    "字典类型"
                ],
                "summary": "删除字典类型",
                "parameters": [
                    {
                        "description": "body",
                        "name": "dictCode",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysDictTypeDeleteReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/dict/type-option-select": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "字典类型"
                ],
                "summary": "字典类型全部数据 代码生成使用接口",
                "parameters": [
                    {
                        "type": "string",
                        "description": "dictName",
                        "name": "dictName",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "dictId",
                        "name": "dictId",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "dictType",
                        "name": "dictType",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/dict/type/{dictId}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "字典类型"
                ],
                "summary": "字典类型通过字典id获取",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "字典类型编码",
                        "name": "dictId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "字典类型"
                ],
                "summary": "修改字典类型",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysDictTypeUpdateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/getinfo": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "个人中心"
                ],
                "summary": "获取个人信息",
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/login": {
            "post": {
                "description": "获取token\nLoginHandler can be used by clients to get a jwt token.\nPayload needs to be json in the form of {\"username\": \"USERNAME\", \"password\": \"PASSWORD\"}.\nReply will be of the form {\"token\": \"TOKEN\"}.\ndev mode：It should be noted that all fields cannot be empty, and a value of 0 can be passed in addition to the account password\n注意：开发模式：需要注意全部字段不能为空，账号密码外可以传入0值",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "登陆"
                ],
                "summary": "登陆",
                "parameters": [
                    {
                        "description": "account",
                        "name": "account",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/handler.Login"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"expire\": \"2019-08-07T12:45:48+08:00\", \"token\": \".eyJleHAiOjE1NjUxNTMxNDgsImlkIjoiYWRtaW4iLCJvcmlnX2lhdCI6MTU2NTE0OTU0OH0.-zvzHvbg0A\" }",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/menu": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "菜单"
                ],
                "summary": "Menu列表数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": "menuName",
                        "name": "menuName",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "菜单"
                ],
                "summary": "创建菜单",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysMenuInsertReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "删除数据",
                "tags": [
                    "菜单"
                ],
                "summary": "删除菜单",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysMenuDeleteReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/menu/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "菜单"
                ],
                "summary": "Menu详情数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": "id",
                        "name": "id",
                        "in": "path"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "菜单"
                ],
                "summary": "修改菜单",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysMenuUpdateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/menuTreeselect/{roleId}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "菜单"
                ],
                "summary": "角色修改使用的菜单列表",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "roleId",
                        "name": "roleId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/menurole": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "菜单"
                ],
                "summary": "根据登录角色名称获取菜单列表数据（左菜单使用）",
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-ad": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c运营\u003e获取广告列表",
                "tags": [
                    "\u003c运营\u003e广告"
                ],
                "summary": "\u003c运营\u003e获取广告列表",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    },
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.OrgAdGetPageReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c运营\u003e创建广告",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "\u003c运营\u003e广告"
                ],
                "summary": "\u003c运营\u003e创建广告",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.OrgAdInsertReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"添加成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c运营\u003e删除广告",
                "tags": [
                    "\u003c运营\u003e广告"
                ],
                "summary": "\u003c运营\u003e删除广告",
                "parameters": [
                    {
                        "description": "ids",
                        "name": "ids",
                        "in": "body",
                        "schema": {
                            "type": "array",
                            "items": {
                                "type": "integer"
                            }
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"删除成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-ad/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c运营\u003e获取广告",
                "tags": [
                    "\u003c运营\u003e广告"
                ],
                "summary": "\u003c运营\u003e获取广告",
                "parameters": [
                    {
                        "type": "string",
                        "description": "id",
                        "name": "id",
                        "in": "path"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c运营\u003e修改广告",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "\u003c运营\u003e广告"
                ],
                "summary": "\u003c运营\u003e修改广告",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.OrgAdUpdateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"修改成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-club": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c俱乐部\u003e获取俱乐部列表",
                "tags": [
                    "\u003c俱乐部\u003e俱乐部"
                ],
                "summary": "\u003c俱乐部\u003e获取俱乐部列表",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    },
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.OrgClubGetPageReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c俱乐部\u003e创建俱乐部",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "\u003c俱乐部\u003e俱乐部"
                ],
                "summary": "\u003c俱乐部\u003e创建俱乐部",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.OrgClubInsertReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"添加成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c俱乐部\u003e删除俱乐部",
                "tags": [
                    "\u003c俱乐部\u003e俱乐部"
                ],
                "summary": "\u003c俱乐部\u003e删除俱乐部",
                "parameters": [
                    {
                        "description": "ids",
                        "name": "ids",
                        "in": "body",
                        "schema": {
                            "type": "array",
                            "items": {
                                "type": "integer"
                            }
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"删除成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-club-player": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c俱乐部\u003e获取球员数据列表",
                "tags": [
                    "\u003c俱乐部\u003e球员"
                ],
                "summary": "\u003c俱乐部\u003e获取球员数据列表",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    },
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.OrgClubPlayerGetPageReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-club-player/get": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c俱乐部\u003e获取球员比赛详情",
                "tags": [
                    "\u003c俱乐部\u003e球员"
                ],
                "summary": "\u003c俱乐部\u003e获取球员比赛详情",
                "parameters": [
                    {
                        "type": "string",
                        "description": "id",
                        "name": "id",
                        "in": "path"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-club-player/get-match": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c俱乐部\u003e获取球员比赛列表",
                "tags": [
                    "\u003c俱乐部\u003e球员"
                ],
                "summary": "\u003c俱乐部\u003e获取球员比赛列表",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-club-team": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c俱乐部\u003e获取球队数据列表",
                "tags": [
                    "\u003c俱乐部\u003e球队"
                ],
                "summary": "\u003c俱乐部\u003e获取球队数据列表",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    },
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.OrgClubTeamGetPageReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-club-team/get": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c俱乐部\u003e获取球队比赛详情",
                "tags": [
                    "\u003c俱乐部\u003e球队"
                ],
                "summary": "\u003c俱乐部\u003e获取球队比赛详情",
                "parameters": [
                    {
                        "type": "string",
                        "description": "id",
                        "name": "id",
                        "in": "path"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-club-team/get-match": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c俱乐部\u003e获取球队比赛列表",
                "tags": [
                    "\u003c俱乐部\u003e球队"
                ],
                "summary": "\u003c俱乐部\u003e获取球队比赛列表",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-club-team/info": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c赛事\u003e获取比赛附加数据（比赛详情，联赛，赛区，赛季，球队）",
                "tags": [
                    "\u003c赛事\u003e比赛"
                ],
                "summary": "\u003c赛事\u003e获取比赛附加数据（比赛详情，联赛，赛区，赛季，球队）",
                "parameters": [
                    {
                        "type": "string",
                        "description": "id",
                        "name": "id",
                        "in": "path"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-club-user": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取俱乐部账户信息列表",
                "tags": [
                    "俱乐部账户信息"
                ],
                "summary": "获取俱乐部账户信息列表",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "创建俱乐部账户信息",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "俱乐部账户信息"
                ],
                "summary": "创建俱乐部账户信息",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.OrgClubUserInsertReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"添加成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "删除俱乐部账户信息",
                "tags": [
                    "俱乐部账户信息"
                ],
                "summary": "删除俱乐部账户信息",
                "parameters": [
                    {
                        "description": "ids",
                        "name": "ids",
                        "in": "body",
                        "schema": {
                            "type": "array",
                            "items": {
                                "type": "integer"
                            }
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"删除成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-club-user/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取俱乐部账户信息",
                "tags": [
                    "俱乐部账户信息"
                ],
                "summary": "获取俱乐部账户信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": "id",
                        "name": "id",
                        "in": "path"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "修改俱乐部账户信息",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "俱乐部账户信息"
                ],
                "summary": "修改俱乐部账户信息",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.OrgClubUserUpdateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"修改成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-club/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c俱乐部\u003e获取俱乐部",
                "tags": [
                    "\u003c俱乐部\u003e俱乐部"
                ],
                "summary": "\u003c俱乐部\u003e获取俱乐部",
                "parameters": [
                    {
                        "type": "string",
                        "description": "id",
                        "name": "id",
                        "in": "path"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c俱乐部\u003e修改俱乐部",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "\u003c俱乐部\u003e俱乐部"
                ],
                "summary": "\u003c俱乐部\u003e修改俱乐部",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.OrgClubUpdateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"修改成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-division": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c赛事\u003e获取赛区列表",
                "tags": [
                    "\u003c赛事\u003e赛区"
                ],
                "summary": "\u003c赛事\u003e获取赛区列表",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    },
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.OrgDivisionGetPageReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c赛事\u003e创建赛区",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "\u003c赛事\u003e赛区"
                ],
                "summary": "\u003c赛事\u003e创建赛区",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.OrgDivisionInsertReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"添加成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c赛事\u003e删除赛区",
                "tags": [
                    "\u003c赛事\u003e赛区"
                ],
                "summary": "\u003c赛事\u003e删除赛区",
                "parameters": [
                    {
                        "description": "ids",
                        "name": "ids",
                        "in": "body",
                        "schema": {
                            "type": "array",
                            "items": {
                                "type": "integer"
                            }
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"删除成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-division/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c赛事\u003e获取赛区",
                "tags": [
                    "\u003c赛事\u003e赛区"
                ],
                "summary": "\u003c赛事\u003e获取赛区",
                "parameters": [
                    {
                        "type": "string",
                        "description": "id",
                        "name": "id",
                        "in": "path"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c赛事\u003e修改赛区",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "\u003c赛事\u003e赛区"
                ],
                "summary": "\u003c赛事\u003e修改赛区",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.OrgDivisionUpdateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"修改成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-league": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c赛事\u003e获取联赛列表",
                "tags": [
                    "\u003c赛事\u003e联赛"
                ],
                "summary": "\u003c赛事\u003e获取联赛列表",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    },
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.OrgLeagueGetPageReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c赛事\u003e创建联赛",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "\u003c赛事\u003e联赛"
                ],
                "summary": "\u003c赛事\u003e创建联赛",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.OrgLeagueInsertReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"添加成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c赛事\u003e删除联赛",
                "tags": [
                    "\u003c赛事\u003e联赛"
                ],
                "summary": "\u003c赛事\u003e删除联赛",
                "parameters": [
                    {
                        "description": "ids",
                        "name": "ids",
                        "in": "body",
                        "schema": {
                            "type": "array",
                            "items": {
                                "type": "integer"
                            }
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"删除成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-league/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c赛事\u003e获取联赛",
                "tags": [
                    "\u003c赛事\u003e联赛"
                ],
                "summary": "\u003c赛事\u003e获取联赛",
                "parameters": [
                    {
                        "type": "string",
                        "description": "id",
                        "name": "id",
                        "in": "path"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c赛事\u003e修改联赛",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "\u003c赛事\u003e联赛"
                ],
                "summary": "\u003c赛事\u003e修改联赛",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.OrgLeagueUpdateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"修改成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-match": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c赛事\u003e获取比赛列表",
                "tags": [
                    "\u003c赛事\u003e比赛"
                ],
                "summary": "\u003c赛事\u003e获取比赛列表",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    },
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.OrgMatchGetPageReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c赛事\u003e创建比赛",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "\u003c赛事\u003e比赛"
                ],
                "summary": "\u003c赛事\u003e创建比赛",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.OrgMatchInsertReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"添加成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c赛事\u003e删除比赛",
                "tags": [
                    "\u003c赛事\u003e比赛"
                ],
                "summary": "\u003c赛事\u003e删除比赛",
                "parameters": [
                    {
                        "description": "ids",
                        "name": "ids",
                        "in": "body",
                        "schema": {
                            "type": "array",
                            "items": {
                                "type": "integer"
                            }
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"删除成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-match-evaluate": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c赛事\u003e赛后评价列表",
                "tags": [
                    "\u003c赛事\u003e赛后评价"
                ],
                "summary": "\u003c赛事\u003e赛后评价列表",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.OrgMatchEvaluateGetPageReq"
                        }
                    },
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    },
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.OrgMatchEvaluateGetPageReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-match-evaluate/get-match": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c赛事\u003e赛后评价比赛列表",
                "tags": [
                    "\u003c赛事\u003e赛后评价"
                ],
                "summary": "\u003c赛事\u003e赛后评价比赛列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "id",
                        "name": "id",
                        "in": "path"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-match-evaluate/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c赛事\u003e赛后评价比赛详情",
                "tags": [
                    "\u003c赛事\u003e赛后评价"
                ],
                "summary": "\u003c赛事\u003e赛后评价比赛详情",
                "parameters": [
                    {
                        "type": "string",
                        "description": "id",
                        "name": "id",
                        "in": "path"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c赛事\u003e赛后评价影像维护",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "\u003c赛事\u003e赛后评价"
                ],
                "summary": "\u003c赛事\u003e赛后评价影像维护",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.OrgMatchEvaluateUpdateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"修改成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-match-team-player": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取比赛球员数据列表",
                "tags": [
                    "比赛球员数据"
                ],
                "summary": "获取比赛球员数据列表",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    },
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.OrgMatchTeamPlayerGetPageReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "创建比赛球员数据",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "比赛球员数据"
                ],
                "summary": "创建比赛球员数据",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.OrgMatchTeamPlayerInsertReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"添加成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "删除比赛球员数据",
                "tags": [
                    "比赛球员数据"
                ],
                "summary": "删除比赛球员数据",
                "parameters": [
                    {
                        "description": "ids",
                        "name": "ids",
                        "in": "body",
                        "schema": {
                            "type": "array",
                            "items": {
                                "type": "integer"
                            }
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"删除成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-match-team-player/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取比赛球员数据",
                "tags": [
                    "比赛球员数据"
                ],
                "summary": "获取比赛球员数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": "id",
                        "name": "id",
                        "in": "path"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "修改比赛球员数据",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "比赛球员数据"
                ],
                "summary": "修改比赛球员数据",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.OrgMatchTeamPlayerUpdateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"修改成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-match/get-player": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c赛事\u003e获取比赛所有球员",
                "tags": [
                    "\u003c赛事\u003e比赛"
                ],
                "summary": "\u003c赛事\u003e获取比赛所有球员",
                "parameters": [
                    {
                        "type": "string",
                        "description": "id",
                        "name": "id",
                        "in": "path"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-match/get-player-is-set": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c赛事\u003e获取比赛已设置球员",
                "tags": [
                    "\u003c赛事\u003e比赛"
                ],
                "summary": "\u003c赛事\u003e获取比赛已设置球员",
                "parameters": [
                    {
                        "type": "string",
                        "description": "teamId",
                        "name": "teamId",
                        "in": "path"
                    },
                    {
                        "type": "string",
                        "description": "matchId",
                        "name": "matchId",
                        "in": "path"
                    },
                    {
                        "type": "string",
                        "description": "rounds",
                        "name": "rounds",
                        "in": "path"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-match/info/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c赛事\u003e获取比赛附加数据（比赛详情，联赛，赛区，赛季，球队）",
                "tags": [
                    "\u003c赛事\u003e比赛"
                ],
                "summary": "\u003c赛事\u003e获取比赛附加数据（比赛详情，联赛，赛区，赛季，球队）",
                "parameters": [
                    {
                        "type": "string",
                        "description": "id",
                        "name": "id",
                        "in": "path"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-match/update-player": {
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c赛事\u003e修改比赛球员",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "\u003c赛事\u003e比赛"
                ],
                "summary": "\u003c赛事\u003e修改比赛球员",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.UpdateOrgMatchTeamPlayerReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"修改成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-match/update-player-data": {
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c赛事\u003e修改比赛球员数据",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "\u003c赛事\u003e比赛"
                ],
                "summary": "\u003c赛事\u003e修改比赛球员数据",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.OrgMatchTeamPlayerUpdateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"修改成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-match/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c赛事\u003e获取比赛比分维护数据",
                "tags": [
                    "\u003c赛事\u003e比赛"
                ],
                "summary": "\u003c赛事\u003e获取比赛比分维护数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": "id",
                        "name": "id",
                        "in": "path"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c赛事\u003e修改比赛",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "\u003c赛事\u003e比赛"
                ],
                "summary": "\u003c赛事\u003e修改比赛",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.OrgMatchUpdateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"修改成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-news": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取新闻列表",
                "tags": [
                    "新闻"
                ],
                "summary": "获取新闻列表",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    },
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.OrgNewsGetPageReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "创建新闻",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "新闻"
                ],
                "summary": "创建新闻",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.OrgNewsInsertReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"添加成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "删除新闻",
                "tags": [
                    "新闻"
                ],
                "summary": "删除新闻",
                "parameters": [
                    {
                        "description": "ids",
                        "name": "ids",
                        "in": "body",
                        "schema": {
                            "type": "array",
                            "items": {
                                "type": "integer"
                            }
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"删除成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-news/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取新闻",
                "tags": [
                    "新闻"
                ],
                "summary": "获取新闻",
                "parameters": [
                    {
                        "type": "string",
                        "description": "id",
                        "name": "id",
                        "in": "path"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "修改新闻",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "新闻"
                ],
                "summary": "修改新闻",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.OrgNewsUpdateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"修改成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-player": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c球队\u003e获取球员列表",
                "tags": [
                    "\u003c球队\u003e球员"
                ],
                "summary": "\u003c球队\u003e获取球员列表",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    },
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.OrgPlayerGetPageReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c球队\u003e创建球员",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "\u003c球队\u003e球员"
                ],
                "summary": "\u003c球队\u003e创建球员",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.OrgPlayerInsertReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"添加成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c球队\u003e删除球员",
                "tags": [
                    "\u003c球队\u003e球员"
                ],
                "summary": "\u003c球队\u003e删除球员",
                "parameters": [
                    {
                        "description": "ids",
                        "name": "ids",
                        "in": "body",
                        "schema": {
                            "type": "array",
                            "items": {
                                "type": "integer"
                            }
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"删除成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-player-user": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取球员账户信息列表",
                "tags": [
                    "球员账户信息"
                ],
                "summary": "获取球员账户信息列表",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "创建球员账户信息",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "球员账户信息"
                ],
                "summary": "创建球员账户信息",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.OrgPlayerUserInsertReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"添加成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "删除球员账户信息",
                "tags": [
                    "球员账户信息"
                ],
                "summary": "删除球员账户信息",
                "parameters": [
                    {
                        "description": "ids",
                        "name": "ids",
                        "in": "body",
                        "schema": {
                            "type": "array",
                            "items": {
                                "type": "integer"
                            }
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"删除成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-player-user/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取球员账户信息",
                "tags": [
                    "球员账户信息"
                ],
                "summary": "获取球员账户信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": "id",
                        "name": "id",
                        "in": "path"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200,\"msg\":\"更新成功\",\"data\":{}}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "修改球员账户信息",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "球员账户信息"
                ],
                "summary": "修改球员账户信息",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.OrgPlayerUserUpdateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"修改成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-player/update-status": {
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c球队\u003e修改球员状态",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "\u003c球队\u003e工作人员"
                ],
                "summary": "\u003c球队\u003e修改球员状态",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.OrgPlayerUpdateStatusReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"修改成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-player/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c球队\u003e获取球员",
                "tags": [
                    "\u003c球队\u003e球员"
                ],
                "summary": "\u003c球队\u003e获取球员",
                "parameters": [
                    {
                        "type": "string",
                        "description": "id",
                        "name": "id",
                        "in": "path"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c球队\u003e修改球员",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "\u003c球队\u003e球员"
                ],
                "summary": "\u003c球队\u003e修改球员",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.OrgPlayerUpdateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"修改成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-season": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c赛事\u003e获取赛季列表",
                "tags": [
                    "\u003c赛事\u003e赛季"
                ],
                "summary": "\u003c赛事\u003e获取赛季列表",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    },
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.OrgSeasonGetPageReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c赛事\u003e创建赛季",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "\u003c赛事\u003e赛季"
                ],
                "summary": "\u003c赛事\u003e创建赛季",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.OrgSeasonInsertReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"添加成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "删除赛季",
                "tags": [
                    "\u003c赛事\u003e赛季"
                ],
                "summary": "删除赛季",
                "parameters": [
                    {
                        "description": "ids",
                        "name": "ids",
                        "in": "body",
                        "schema": {
                            "type": "array",
                            "items": {
                                "type": "integer"
                            }
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"删除成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-season/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c赛事\u003e获取赛季",
                "tags": [
                    "\u003c赛事\u003e赛季"
                ],
                "summary": "\u003c赛事\u003e获取赛季",
                "parameters": [
                    {
                        "type": "string",
                        "description": "id",
                        "name": "id",
                        "in": "path"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c赛事\u003e修改赛季",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "\u003c赛事\u003e赛季"
                ],
                "summary": "\u003c赛事\u003e修改赛季",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.OrgSeasonUpdateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"修改成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-team": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c球队\u003e获取球队列表",
                "tags": [
                    "\u003c球队\u003e球队"
                ],
                "summary": "\u003c球队\u003e获取球队列表",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    },
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.OrgTeamGetPageReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c球队\u003e创建球队",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "\u003c球队\u003e球队"
                ],
                "summary": "\u003c球队\u003e创建球队",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.OrgTeamInsertReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"添加成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c球队\u003e删除球队",
                "tags": [
                    "\u003c球队\u003e球队"
                ],
                "summary": "\u003c球队\u003e删除球队",
                "parameters": [
                    {
                        "description": "ids",
                        "name": "ids",
                        "in": "body",
                        "schema": {
                            "type": "array",
                            "items": {
                                "type": "integer"
                            }
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"删除成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-team-club/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c球队\u003e获取俱乐部详情",
                "tags": [
                    "\u003c球队\u003e俱乐部"
                ],
                "summary": "\u003c球队\u003e获取俱乐部详情",
                "parameters": [
                    {
                        "type": "string",
                        "description": "id",
                        "name": "id",
                        "in": "path"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c球队\u003e修改俱乐部",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "\u003c球队\u003e俱乐部"
                ],
                "summary": "\u003c球队\u003e修改俱乐部",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.OrgClubUpdateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"修改成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-team-match": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c球队\u003e获取比赛列表",
                "tags": [
                    "\u003c球队\u003e比赛"
                ],
                "summary": "\u003c球队\u003e获取比赛列表",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    },
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.OrgTeamMatchGetPageReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-team-match-evaluate": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c球队\u003e教练评价列表",
                "tags": [
                    "\u003c球队\u003e教练评价"
                ],
                "summary": "\u003c球队\u003e教练评价列表",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-team-match-evaluate/get-match": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c球队\u003e教练评价比赛列表",
                "tags": [
                    "\u003c球队\u003e教练评价"
                ],
                "summary": "\u003c球队\u003e教练评价比赛列表",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-team-match-evaluate/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c球队\u003e教练评价比赛详情",
                "tags": [
                    "\u003c球队\u003e教练评价"
                ],
                "summary": "\u003c球队\u003e教练评价比赛详情",
                "parameters": [
                    {
                        "type": "string",
                        "description": "id",
                        "name": "id",
                        "in": "path"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c球队\u003e修改评价",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "\u003c球队\u003e教练评价"
                ],
                "summary": "\u003c球队\u003e修改评价",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.OrgMatchEvaluateUpdateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"修改成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-team-match/get-players": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c球队\u003e获取比赛所有球员",
                "tags": [
                    "\u003c球队\u003e比赛"
                ],
                "summary": "\u003c球队\u003e获取比赛所有球员",
                "parameters": [
                    {
                        "type": "string",
                        "description": "id",
                        "name": "id",
                        "in": "path"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-team-match/get-players-is-set": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c球队\u003e获取比赛已设置球员",
                "tags": [
                    "\u003c球队\u003e比赛"
                ],
                "summary": "\u003c球队\u003e获取比赛已设置球员",
                "parameters": [
                    {
                        "type": "string",
                        "description": "id",
                        "name": "id",
                        "in": "path"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-team-match/info/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c赛事\u003e获取比赛附加数据（比赛详情，联赛，赛区，赛季，球队）",
                "tags": [
                    "\u003c赛事\u003e比赛"
                ],
                "summary": "\u003c赛事\u003e获取比赛附加数据（比赛详情，联赛，赛区，赛季，球队）",
                "parameters": [
                    {
                        "type": "string",
                        "description": "id",
                        "name": "id",
                        "in": "path"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-team-match/update-players": {
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c球队\u003e修改比赛球员",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "\u003c球队\u003e比赛"
                ],
                "summary": "\u003c球队\u003e修改比赛球员",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.OrgMatchUpdateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"修改成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-team-player": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c球队\u003e获取球员表现列表",
                "tags": [
                    "\u003c球队\u003e球员表现"
                ],
                "summary": "\u003c球队\u003e获取球员表现列表",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    },
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.OrgTeamPlayerGetPageReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-team-player/get-match": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c球队\u003e获取球员表现比赛列表",
                "tags": [
                    "\u003c球队\u003e球员表现"
                ],
                "summary": "\u003c球队\u003e获取球员表现比赛列表",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-team-player/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c球队\u003e获取球员表现比赛详情",
                "tags": [
                    "\u003c球队\u003e球员表现"
                ],
                "summary": "\u003c球队\u003e获取球员表现比赛详情",
                "parameters": [
                    {
                        "type": "string",
                        "description": "id",
                        "name": "id",
                        "in": "path"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-team-team": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c球队\u003e获取球队表现列表",
                "tags": [
                    "\u003c球队\u003e球队表现"
                ],
                "summary": "\u003c球队\u003e获取球队表现列表",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    },
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.OrgTeamTeamGetPageReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-team-team/get-match": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c球队\u003e获取球队表现比赛列表",
                "tags": [
                    "\u003c球队\u003e球队表现"
                ],
                "summary": "\u003c球队\u003e获取球队表现比赛列表",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-team-team/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c球队\u003e获取球队表现比赛详情",
                "tags": [
                    "\u003c球队\u003e球队表现"
                ],
                "summary": "\u003c球队\u003e获取球队表现比赛详情",
                "parameters": [
                    {
                        "type": "string",
                        "description": "id",
                        "name": "id",
                        "in": "path"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-team-user": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c球队\u003e工作人员列表",
                "tags": [
                    "\u003c球队\u003e工作人员"
                ],
                "summary": "\u003c球队\u003e工作人员列表",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    },
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.OrgTeamUserGetPageReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c球队\u003e创建工作人员",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "\u003c球队\u003e工作人员"
                ],
                "summary": "\u003c球队\u003e创建工作人员",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.OrgTeamUserInsertReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"添加成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c球队\u003e删除工作人员",
                "tags": [
                    "\u003c球队\u003e工作人员"
                ],
                "summary": "\u003c球队\u003e删除工作人员",
                "parameters": [
                    {
                        "description": "ids",
                        "name": "ids",
                        "in": "body",
                        "schema": {
                            "type": "array",
                            "items": {
                                "type": "integer"
                            }
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"删除成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-team-user/update-status": {
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c球队\u003e修改工作人员",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "\u003c球队\u003e工作人员"
                ],
                "summary": "\u003c球队\u003e修改工作人员",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.OrgTeamUserUpdateStatusReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"修改成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-team-user/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c球队\u003e工作人员信息",
                "tags": [
                    "\u003c球队\u003e工作人员"
                ],
                "summary": "\u003c球队\u003e工作人员信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": "id",
                        "name": "id",
                        "in": "path"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c球队\u003e修改工作人员",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "\u003c球队\u003e工作人员"
                ],
                "summary": "\u003c球队\u003e修改工作人员",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.OrgTeamUserUpdateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"修改成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-team/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c球队\u003e获取球队",
                "tags": [
                    "\u003c球队\u003e球队"
                ],
                "summary": "\u003c球队\u003e获取球队",
                "parameters": [
                    {
                        "type": "string",
                        "description": "id",
                        "name": "id",
                        "in": "path"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "\u003c球队\u003e修改球队",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "\u003c球队\u003e球队"
                ],
                "summary": "\u003c球队\u003e修改球队",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.OrgTeamUpdateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"修改成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-user": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "用户"
                ],
                "summary": "\u003c赛事\u003e列表用户信息数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": "username",
                        "name": "username",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "用户"
                ],
                "summary": "创建用户",
                "parameters": [
                    {
                        "description": "用户数据",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysUserInsertReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-user/avatar": {
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "multipart/form-data"
                ],
                "tags": [
                    "个人中心"
                ],
                "summary": "修改头像",
                "parameters": [
                    {
                        "type": "file",
                        "description": "file",
                        "name": "file",
                        "in": "formData",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-user/getinfo": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "个人中心"
                ],
                "summary": "获取个人信息",
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-user/profile": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "个人中心"
                ],
                "summary": "获取个人中心用户",
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-user/pwd/reset": {
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "用户"
                ],
                "summary": "重置用户密码",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.ResetSysUserPwdReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-user/pwd/set": {
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "用户"
                ],
                "summary": "重置密码",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.PassWord"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-user/status": {
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "用户"
                ],
                "summary": "修改用户状态",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.UpdateSysUserStatusReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/org-user/{userId}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "用户"
                ],
                "summary": "获取用户",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "用户编码",
                        "name": "userId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "用户"
                ],
                "summary": "修改用户数据",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysUserUpdateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "删除数据",
                "tags": [
                    "用户"
                ],
                "summary": "删除用户数据",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "userId",
                        "name": "userId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/post": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "岗位"
                ],
                "summary": "岗位列表数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": "postName",
                        "name": "postName",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "postCode",
                        "name": "postCode",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "postId",
                        "name": "postId",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "status",
                        "name": "status",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "岗位"
                ],
                "summary": "添加岗位",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysPostInsertReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "删除数据",
                "tags": [
                    "岗位"
                ],
                "summary": "删除岗位",
                "parameters": [
                    {
                        "description": "请求参数",
                        "name": "id",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysPostDeleteReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/post/{id}": {
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "岗位"
                ],
                "summary": "修改岗位",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysPostUpdateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/post/{postId}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "岗位"
                ],
                "summary": "获取岗位信息",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "编码",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/public/uploadFile": {
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "multipart/form-data"
                ],
                "tags": [
                    "公共接口"
                ],
                "summary": "上传图片",
                "parameters": [
                    {
                        "type": "string",
                        "description": "type",
                        "name": "type",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "file",
                        "description": "file",
                        "name": "file",
                        "in": "formData",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/role": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "Get JSON",
                "tags": [
                    "角色/Role"
                ],
                "summary": "角色列表数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": "roleName",
                        "name": "roleName",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "status",
                        "name": "status",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "roleKey",
                        "name": "roleKey",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "角色/Role"
                ],
                "summary": "创建角色",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysRoleInsertReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "删除数据",
                "tags": [
                    "角色/Role"
                ],
                "summary": "删除用户角色",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysRoleDeleteReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/role-status/{id}": {
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "角色/Role"
                ],
                "summary": "更新角色数据权限",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.RoleDataScopeReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/role/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "角色/Role"
                ],
                "summary": "获取Role数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": "roleId",
                        "name": "roleId",
                        "in": "path"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "角色/Role"
                ],
                "summary": "修改用户角色",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysRoleUpdateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/server-monitor": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "系统信息"
                ],
                "summary": "系统信息",
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/set-config": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "界面操作设置配置值的获取",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "配置管理"
                ],
                "summary": "获取配置",
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"修改成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "界面操作设置配置值",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "配置管理"
                ],
                "summary": "设置配置",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/dto.GetSetSysConfigReq"
                            }
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"修改成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/sys-api": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取接口管理列表",
                "tags": [
                    "接口管理"
                ],
                "summary": "获取接口管理列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "名称",
                        "name": "name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "标题",
                        "name": "title",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "地址",
                        "name": "path",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "类型",
                        "name": "action",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "删除接口管理",
                "tags": [
                    "接口管理"
                ],
                "summary": "删除接口管理",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysApiDeleteReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"删除成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/sys-api/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取接口管理",
                "tags": [
                    "接口管理"
                ],
                "summary": "获取接口管理",
                "parameters": [
                    {
                        "type": "string",
                        "description": "id",
                        "name": "id",
                        "in": "path"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "修改接口管理",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "接口管理"
                ],
                "summary": "修改接口管理",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysApiUpdateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"修改成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/sys-config": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取配置管理列表",
                "tags": [
                    "配置管理"
                ],
                "summary": "获取配置管理列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "名称",
                        "name": "configName",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "key",
                        "name": "configKey",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "类型",
                        "name": "configType",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "是否前端",
                        "name": "isFrontend",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "创建配置管理",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "配置管理"
                ],
                "summary": "创建配置管理",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysConfigControl"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"创建成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "删除配置管理",
                "tags": [
                    "配置管理"
                ],
                "summary": "删除配置管理",
                "parameters": [
                    {
                        "description": "ids",
                        "name": "ids",
                        "in": "body",
                        "schema": {
                            "type": "array",
                            "items": {
                                "type": "integer"
                            }
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"删除成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/sys-config/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "根据Key获取SysConfig的Service",
                "tags": [
                    "配置管理"
                ],
                "summary": "根据Key获取SysConfig的Service",
                "parameters": [
                    {
                        "type": "string",
                        "description": "configKey",
                        "name": "configKey",
                        "in": "path"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "修改配置管理",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "配置管理"
                ],
                "summary": "修改配置管理",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysConfigControl"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"修改成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/sys-login-log": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "登录日志"
                ],
                "summary": "登录日志列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "用户名",
                        "name": "username",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "ip地址",
                        "name": "ipaddr",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "归属地",
                        "name": "loginLocation",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "状态",
                        "name": "status",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "开始时间",
                        "name": "beginTime",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "结束时间",
                        "name": "endTime",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "登录日志删除",
                "tags": [
                    "登录日志"
                ],
                "summary": "登录日志删除",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysLoginLogDeleteReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/sys-login-log/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "登录日志"
                ],
                "summary": "登录日志通过id获取",
                "parameters": [
                    {
                        "type": "string",
                        "description": "id",
                        "name": "id",
                        "in": "path"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/sys-opera-log": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "操作日志"
                ],
                "summary": "操作日志列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "title",
                        "name": "title",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "method",
                        "name": "method",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "requestMethod",
                        "name": "requestMethod",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "operUrl",
                        "name": "operUrl",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "operIp",
                        "name": "operIp",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "status",
                        "name": "status",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "beginTime",
                        "name": "beginTime",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "endTime",
                        "name": "endTime",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "删除数据",
                "tags": [
                    "操作日志"
                ],
                "summary": "删除操作日志",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysOperaLogDeleteReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/sys-opera-log/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "操作日志"
                ],
                "summary": "操作日志通过id获取",
                "parameters": [
                    {
                        "type": "string",
                        "description": "id",
                        "name": "id",
                        "in": "path"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/sys-user": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "用户"
                ],
                "summary": "列表用户信息数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": "username",
                        "name": "username",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "用户"
                ],
                "summary": "创建用户",
                "parameters": [
                    {
                        "description": "用户数据",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysUserInsertReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/sys-user/{userId}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "用户"
                ],
                "summary": "获取用户",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "用户编码",
                        "name": "userId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "用户"
                ],
                "summary": "修改用户数据",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.SysUserUpdateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "删除数据",
                "tags": [
                    "用户"
                ],
                "summary": "删除用户数据",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "userId",
                        "name": "userId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/sys/tables/info": {
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "修改表结构",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "工具 / 生成工具"
                ],
                "summary": "修改表结构",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/tools.SysTables"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "添加表结构",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "工具 / 生成工具"
                ],
                "summary": "添加表结构",
                "parameters": [
                    {
                        "type": "string",
                        "description": "tableName / 数据表名称",
                        "name": "tables",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/sys/tables/info/{tableId}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "工具 / 生成工具"
                ],
                "summary": "获取配置",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "configKey",
                        "name": "configKey",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "delete": {
                "description": "删除表结构",
                "tags": [
                    "工具 / 生成工具"
                ],
                "summary": "删除表结构",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "tableId",
                        "name": "tableId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"删除失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/sys/tables/page": {
            "get": {
                "description": "生成表分页列表",
                "tags": [
                    "工具 / 生成工具"
                ],
                "summary": "分页列表数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": "tableName / 数据表名称",
                        "name": "tableName",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "pageSize / 页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "pageIndex / 页码",
                        "name": "pageIndex",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/user/avatar": {
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "multipart/form-data"
                ],
                "tags": [
                    "个人中心"
                ],
                "summary": "修改头像",
                "parameters": [
                    {
                        "type": "file",
                        "description": "file",
                        "name": "file",
                        "in": "formData",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/user/profile": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "个人中心"
                ],
                "summary": "获取个人中心用户",
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/user/pwd/reset": {
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "用户"
                ],
                "summary": "重置用户密码",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.ResetSysUserPwdReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/user/pwd/set": {
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "用户"
                ],
                "summary": "重置密码",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.PassWord"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/user/status": {
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "用户"
                ],
                "summary": "修改用户状态",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.UpdateSysUserStatusReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/logout": {
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取token",
                "consumes": [
                    "application/json"
                ],
                "summary": "退出登录",
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"msg\": \"成功退出系统\" }",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/mobile/v1/org-news": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取新闻列表",
                "tags": [
                    "新闻"
                ],
                "summary": "获取新闻列表",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    },
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.OrgNewsGetPageReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "dto.GetSetSysConfigReq": {
            "type": "object",
            "properties": {
                "configKey": {
                    "type": "string"
                },
                "configValue": {
                    "type": "string"
                }
            }
        },
        "dto.OrgAdGetPageReq": {
            "type": "object",
            "properties": {
                "adName": {
                    "description": "广告名称",
                    "type": "string"
                },
                "endTime": {
                    "description": "结束时间",
                    "type": "string"
                },
                "pageIndex": {
                    "type": "integer"
                },
                "pageSize": {
                    "type": "integer"
                },
                "startTime": {
                    "description": "开始时间",
                    "type": "string"
                },
                "status": {
                    "description": "广告类型",
                    "type": "string"
                }
            }
        },
        "dto.OrgAdInsertReq": {
            "type": "object",
            "properties": {
                "adImg": {
                    "type": "string"
                },
                "adName": {
                    "type": "string"
                },
                "adType": {
                    "type": "string"
                },
                "adUrl": {
                    "type": "string"
                },
                "createBy": {
                    "type": "integer"
                },
                "endTime": {
                    "type": "string"
                },
                "startTime": {
                    "type": "string"
                },
                "status": {
                    "type": "string"
                },
                "updateBy": {
                    "type": "integer"
                },
                "userId": {
                    "type": "string"
                }
            }
        },
        "dto.OrgAdUpdateReq": {
            "type": "object",
            "properties": {
                "adImg": {
                    "type": "string"
                },
                "adName": {
                    "type": "string"
                },
                "adType": {
                    "type": "string"
                },
                "adUrl": {
                    "type": "string"
                },
                "createBy": {
                    "type": "integer"
                },
                "endTime": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "startTime": {
                    "type": "string"
                },
                "status": {
                    "type": "string"
                },
                "updateBy": {
                    "type": "integer"
                },
                "userId": {
                    "type": "string"
                }
            }
        },
        "dto.OrgClubGetPageReq": {
            "type": "object",
            "properties": {
                "clubName": {
                    "description": "俱乐部名称",
                    "type": "string"
                },
                "createEndTime": {
                    "description": "结束时间",
                    "type": "string"
                },
                "createStartTime": {
                    "description": "开始时间",
                    "type": "string"
                },
                "pageIndex": {
                    "type": "integer"
                },
                "pageSize": {
                    "type": "integer"
                }
            }
        },
        "dto.OrgClubInsertReq": {
            "type": "object",
            "properties": {
                "clubContacts": {
                    "type": "string"
                },
                "clubContactsEn": {
                    "type": "string"
                },
                "clubLogo": {
                    "type": "string"
                },
                "clubMobile": {
                    "type": "string"
                },
                "clubName": {
                    "type": "string"
                },
                "clubQrcode": {
                    "type": "string"
                },
                "clubUsername": {
                    "type": "string"
                },
                "createBy": {
                    "type": "integer"
                },
                "updateBy": {
                    "type": "integer"
                }
            }
        },
        "dto.OrgClubPlayerGetPageReq": {
            "type": "object",
            "properties": {
                "divisionId": {
                    "description": "赛区id",
                    "type": "string"
                },
                "leagueId": {
                    "description": "联赛级别id",
                    "type": "string"
                },
                "pageIndex": {
                    "type": "integer"
                },
                "pageSize": {
                    "type": "integer"
                },
                "playerName": {
                    "description": "球员名称",
                    "type": "string"
                },
                "rounds": {
                    "description": "轮次",
                    "type": "string"
                },
                "seasonId": {
                    "description": "赛季id",
                    "type": "string"
                }
            }
        },
        "dto.OrgClubTeamGetPageReq": {
            "type": "object",
            "properties": {
                "divisionId": {
                    "type": "string"
                },
                "leagueId": {
                    "type": "string"
                },
                "pageIndex": {
                    "type": "integer"
                },
                "pageSize": {
                    "type": "integer"
                },
                "rounds": {
                    "type": "string"
                },
                "seasonId": {
                    "type": "string"
                },
                "teamId": {
                    "type": "string"
                }
            }
        },
        "dto.OrgClubUpdateReq": {
            "type": "object",
            "properties": {
                "clubContacts": {
                    "type": "string"
                },
                "clubContactsEn": {
                    "type": "string"
                },
                "clubLogo": {
                    "type": "string"
                },
                "clubMobile": {
                    "type": "string"
                },
                "clubName": {
                    "type": "string"
                },
                "clubQrcode": {
                    "type": "string"
                },
                "clubUsername": {
                    "type": "string"
                },
                "createBy": {
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "updateBy": {
                    "type": "integer"
                }
            }
        },
        "dto.OrgClubUserInsertReq": {
            "type": "object",
            "properties": {
                "clubId": {
                    "type": "string"
                },
                "createBy": {
                    "type": "integer"
                },
                "updateBy": {
                    "type": "integer"
                },
                "userId": {
                    "type": "string"
                }
            }
        },
        "dto.OrgClubUserUpdateReq": {
            "type": "object",
            "properties": {
                "clubId": {
                    "type": "string"
                },
                "createBy": {
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "updateBy": {
                    "type": "integer"
                },
                "userId": {
                    "type": "string"
                }
            }
        },
        "dto.OrgDivisionGetPageReq": {
            "type": "object",
            "properties": {
                "divisionName": {
                    "description": "赛区名称",
                    "type": "string"
                },
                "pageIndex": {
                    "type": "integer"
                },
                "pageSize": {
                    "type": "integer"
                }
            }
        },
        "dto.OrgDivisionInsertReq": {
            "type": "object",
            "properties": {
                "createBy": {
                    "type": "integer"
                },
                "divisionName": {
                    "type": "string"
                },
                "status": {
                    "type": "string"
                },
                "updateBy": {
                    "type": "integer"
                }
            }
        },
        "dto.OrgDivisionUpdateReq": {
            "type": "object",
            "properties": {
                "createBy": {
                    "type": "integer"
                },
                "divisionName": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "status": {
                    "type": "string"
                },
                "updateBy": {
                    "type": "integer"
                }
            }
        },
        "dto.OrgLeagueGetPageReq": {
            "type": "object",
            "properties": {
                "leagueName": {
                    "description": "联赛级别",
                    "type": "string"
                },
                "pageIndex": {
                    "type": "integer"
                },
                "pageSize": {
                    "type": "integer"
                }
            }
        },
        "dto.OrgLeagueInsertReq": {
            "type": "object",
            "properties": {
                "createBy": {
                    "type": "integer"
                },
                "leagueName": {
                    "type": "string"
                },
                "status": {
                    "type": "string"
                },
                "updateBy": {
                    "type": "integer"
                }
            }
        },
        "dto.OrgLeagueUpdateReq": {
            "type": "object",
            "properties": {
                "createBy": {
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "leagueName": {
                    "type": "string"
                },
                "status": {
                    "type": "string"
                },
                "updateBy": {
                    "type": "integer"
                }
            }
        },
        "dto.OrgMatchEvaluateGetPageReq": {
            "type": "object",
            "properties": {
                "contentStatus": {
                    "description": "教练评价状态 1 待评价 2 评价完成",
                    "type": "string"
                },
                "divisionId": {
                    "description": "赛区id",
                    "type": "string"
                },
                "leagueId": {
                    "description": "联赛级别id",
                    "type": "string"
                },
                "mvStatus": {
                    "description": "视频维护状态 1 待维护 2 维护完成 3 驳回 4 维护完成",
                    "type": "string"
                },
                "pageIndex": {
                    "type": "integer"
                },
                "pageSize": {
                    "type": "integer"
                },
                "playerName": {
                    "description": "球员名称",
                    "type": "string"
                },
                "rounds": {
                    "description": "轮次",
                    "type": "string"
                },
                "seasonId": {
                    "description": "赛季id",
                    "type": "string"
                },
                "status": {
                    "description": "发布状态 0 保存 1 待审核 3 驳回 4 发布完成",
                    "type": "string"
                },
                "teamId": {
                    "description": "联赛级别id",
                    "type": "string"
                }
            }
        },
        "dto.OrgMatchEvaluateUpdateReq": {
            "type": "object",
            "properties": {
                "content": {
                    "type": "string"
                },
                "contentStatus": {
                    "type": "string"
                },
                "createBy": {
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "matchId": {
                    "type": "string"
                },
                "mvStatus": {
                    "type": "string"
                },
                "playerId": {
                    "type": "string"
                },
                "remark": {
                    "type": "string"
                },
                "rounds": {
                    "type": "string"
                },
                "status": {
                    "type": "string"
                },
                "teamUserId": {
                    "type": "string"
                },
                "updateBy": {
                    "type": "integer"
                },
                "wonderfulMomentImg": {
                    "type": "string"
                },
                "wonderfulMomentImgTitle": {
                    "type": "string"
                },
                "wonderfulMomentMv": {
                    "type": "string"
                },
                "wonderfulMomentMvTitle": {
                    "type": "string"
                }
            }
        },
        "dto.OrgMatchGetPageReq": {
            "type": "object",
            "properties": {
                "divisionId": {
                    "type": "string"
                },
                "grouping": {
                    "type": "string"
                },
                "leagueId": {
                    "type": "string"
                },
                "matchEndTime": {
                    "type": "string"
                },
                "matchStartTime": {
                    "type": "string"
                },
                "pageIndex": {
                    "type": "integer"
                },
                "pageSize": {
                    "type": "integer"
                },
                "rounds": {
                    "type": "string"
                },
                "seasonId": {
                    "type": "string"
                },
                "status": {
                    "type": "string"
                }
            }
        },
        "dto.OrgMatchInsertReq": {
            "type": "object",
            "properties": {
                "clubId": {
                    "type": "string"
                },
                "createBy": {
                    "type": "integer"
                },
                "divisionId": {
                    "type": "string"
                },
                "grouping": {
                    "type": "string"
                },
                "leagueId": {
                    "type": "string"
                },
                "matchEndTime": {
                    "type": "string"
                },
                "matchStartTime": {
                    "type": "string"
                },
                "rounds": {
                    "type": "string"
                },
                "seasonId": {
                    "type": "string"
                },
                "status": {
                    "type": "string"
                },
                "teamAId": {
                    "type": "string"
                },
                "teamAIntegral": {
                    "type": "string"
                },
                "teamAScore": {
                    "type": "string"
                },
                "teamBId": {
                    "type": "string"
                },
                "teamBIntegral": {
                    "type": "string"
                },
                "teamBScore": {
                    "type": "string"
                },
                "teamId": {
                    "type": "string"
                },
                "updateBy": {
                    "type": "integer"
                }
            }
        },
        "dto.OrgMatchTeamPlayerGetPageReq": {
            "type": "object",
            "properties": {
                "matchId": {
                    "type": "string"
                },
                "pageIndex": {
                    "type": "integer"
                },
                "pageSize": {
                    "type": "integer"
                },
                "rounds": {
                    "type": "string"
                },
                "teamId": {
                    "type": "string"
                }
            }
        },
        "dto.OrgMatchTeamPlayerInsertReq": {
            "type": "object",
            "properties": {
                "assist": {
                    "type": "string"
                },
                "blockShot": {
                    "type": "string"
                },
                "clubId": {
                    "type": "string"
                },
                "createBy": {
                    "type": "integer"
                },
                "foul": {
                    "type": "string"
                },
                "freeThrow": {
                    "type": "string"
                },
                "matchId": {
                    "type": "string"
                },
                "otherTeamId": {
                    "type": "string"
                },
                "playerId": {
                    "type": "string"
                },
                "playerName": {
                    "type": "string"
                },
                "playerNumber": {
                    "type": "string"
                },
                "position": {
                    "type": "string"
                },
                "rebound": {
                    "type": "string"
                },
                "rounds": {
                    "type": "string"
                },
                "scoring": {
                    "type": "string"
                },
                "steal": {
                    "type": "string"
                },
                "teamId": {
                    "type": "string"
                },
                "threePointShot": {
                    "type": "string"
                },
                "twoPointShot": {
                    "type": "string"
                },
                "updateBy": {
                    "type": "integer"
                }
            }
        },
        "dto.OrgMatchTeamPlayerUpdateReq": {
            "type": "object",
            "properties": {
                "assist": {
                    "type": "string"
                },
                "blockShot": {
                    "type": "string"
                },
                "clubId": {
                    "type": "string"
                },
                "createBy": {
                    "type": "integer"
                },
                "foul": {
                    "type": "string"
                },
                "freeThrow": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "matchId": {
                    "type": "string"
                },
                "otherTeamId": {
                    "type": "string"
                },
                "playerId": {
                    "type": "string"
                },
                "playerName": {
                    "type": "string"
                },
                "playerNumber": {
                    "type": "string"
                },
                "position": {
                    "type": "string"
                },
                "rebound": {
                    "type": "string"
                },
                "rounds": {
                    "type": "string"
                },
                "scoring": {
                    "type": "string"
                },
                "steal": {
                    "type": "string"
                },
                "teamId": {
                    "type": "string"
                },
                "threePointShot": {
                    "type": "string"
                },
                "twoPointShot": {
                    "type": "string"
                },
                "updateBy": {
                    "type": "integer"
                }
            }
        },
        "dto.OrgMatchUpdateReq": {
            "type": "object",
            "properties": {
                "clubId": {
                    "type": "string"
                },
                "createBy": {
                    "type": "integer"
                },
                "divisionId": {
                    "type": "string"
                },
                "grouping": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "leagueId": {
                    "type": "string"
                },
                "matchEndTime": {
                    "type": "string"
                },
                "matchStartTime": {
                    "type": "string"
                },
                "rounds": {
                    "type": "string"
                },
                "seasonId": {
                    "type": "string"
                },
                "status": {
                    "type": "string"
                },
                "teamAId": {
                    "type": "string"
                },
                "teamAIntegral": {
                    "type": "string"
                },
                "teamAScore": {
                    "type": "string"
                },
                "teamBId": {
                    "type": "string"
                },
                "teamBIntegral": {
                    "type": "string"
                },
                "teamBScore": {
                    "type": "string"
                },
                "teamId": {
                    "type": "string"
                },
                "updateBy": {
                    "type": "integer"
                }
            }
        },
        "dto.OrgNewsGetPageReq": {
            "type": "object",
            "properties": {
                "endTime": {
                    "description": "结束时间",
                    "type": "string"
                },
                "newsName": {
                    "description": "新闻名称",
                    "type": "string"
                },
                "pageIndex": {
                    "type": "integer"
                },
                "pageSize": {
                    "type": "integer"
                },
                "startTime": {
                    "description": "开始时间",
                    "type": "string"
                },
                "status": {
                    "description": "新闻状态",
                    "type": "string"
                }
            }
        },
        "dto.OrgNewsInsertReq": {
            "type": "object",
            "properties": {
                "createBy": {
                    "type": "integer"
                },
                "newsContent": {
                    "type": "string"
                },
                "newsName": {
                    "type": "string"
                },
                "newsTitle": {
                    "type": "string"
                },
                "status": {
                    "type": "string"
                },
                "updateBy": {
                    "type": "integer"
                }
            }
        },
        "dto.OrgNewsUpdateReq": {
            "type": "object",
            "properties": {
                "createBy": {
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "newsContent": {
                    "type": "string"
                },
                "newsName": {
                    "type": "string"
                },
                "newsTitle": {
                    "type": "string"
                },
                "status": {
                    "type": "string"
                },
                "updateBy": {
                    "type": "integer"
                }
            }
        },
        "dto.OrgPlayerGetPageReq": {
            "type": "object",
            "properties": {
                "pageIndex": {
                    "type": "integer"
                },
                "pageSize": {
                    "type": "integer"
                },
                "playerName": {
                    "type": "string"
                },
                "status": {
                    "type": "string"
                },
                "teamId": {
                    "type": "string"
                },
                "teamName": {
                    "type": "string"
                }
            }
        },
        "dto.OrgPlayerInsertReq": {
            "type": "object",
            "properties": {
                "clubId": {
                    "type": "string"
                },
                "createBy": {
                    "type": "integer"
                },
                "idCard": {
                    "type": "string"
                },
                "playerImg": {
                    "type": "string"
                },
                "playerName": {
                    "type": "string"
                },
                "playerNameEn": {
                    "type": "string"
                },
                "playerNumber": {
                    "type": "string"
                },
                "playerUserId": {
                    "type": "string"
                },
                "position": {
                    "type": "string"
                },
                "sex": {
                    "type": "string"
                },
                "shareConf": {
                    "type": "string"
                },
                "teamId": {
                    "type": "string"
                },
                "updateBy": {
                    "type": "integer"
                },
                "username": {
                    "type": "string"
                }
            }
        },
        "dto.OrgPlayerUpdateReq": {
            "type": "object",
            "properties": {
                "clubId": {
                    "type": "string"
                },
                "createBy": {
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "idCard": {
                    "type": "string"
                },
                "playerImg": {
                    "type": "string"
                },
                "playerName": {
                    "type": "string"
                },
                "playerNameEn": {
                    "type": "string"
                },
                "playerNumber": {
                    "type": "string"
                },
                "playerUserId": {
                    "type": "string"
                },
                "position": {
                    "type": "string"
                },
                "sex": {
                    "type": "string"
                },
                "shareConf": {
                    "type": "string"
                },
                "status": {
                    "description": "状态 1 离队 2 在队",
                    "type": "string"
                },
                "teamId": {
                    "type": "string"
                },
                "updateBy": {
                    "type": "integer"
                },
                "username": {
                    "type": "string"
                }
            }
        },
        "dto.OrgPlayerUpdateStatusReq": {
            "type": "object",
            "properties": {
                "createBy": {
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "status": {
                    "description": "状态 1 离队 2 在队",
                    "type": "string"
                },
                "updateBy": {
                    "type": "integer"
                }
            }
        },
        "dto.OrgPlayerUserInsertReq": {
            "type": "object",
            "properties": {
                "createBy": {
                    "type": "integer"
                },
                "headimg": {
                    "type": "string"
                },
                "nickname": {
                    "type": "string"
                },
                "openId": {
                    "type": "string"
                },
                "password": {
                    "type": "string"
                },
                "phone": {
                    "type": "string"
                },
                "updateBy": {
                    "type": "integer"
                },
                "username": {
                    "type": "string"
                }
            }
        },
        "dto.OrgPlayerUserUpdateReq": {
            "type": "object",
            "properties": {
                "createBy": {
                    "type": "integer"
                },
                "headimg": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "nickname": {
                    "type": "string"
                },
                "openId": {
                    "type": "string"
                },
                "password": {
                    "type": "string"
                },
                "phone": {
                    "type": "string"
                },
                "updateBy": {
                    "type": "integer"
                },
                "username": {
                    "type": "string"
                }
            }
        },
        "dto.OrgSeasonGetPageReq": {
            "type": "object",
            "properties": {
                "leagueId": {
                    "type": "string"
                },
                "pageIndex": {
                    "type": "integer"
                },
                "pageSize": {
                    "type": "integer"
                },
                "seasonEndTime": {
                    "type": "string"
                },
                "seasonId": {
                    "type": "string"
                },
                "seasonStartTime": {
                    "type": "string"
                },
                "status": {
                    "type": "string"
                }
            }
        },
        "dto.OrgSeasonInsertReq": {
            "type": "object",
            "properties": {
                "createBy": {
                    "type": "integer"
                },
                "divisionId": {
                    "type": "string"
                },
                "endTime": {
                    "type": "string"
                },
                "leagueId": {
                    "type": "string"
                },
                "seasonName": {
                    "type": "string"
                },
                "startTime": {
                    "type": "string"
                },
                "status": {
                    "type": "string"
                },
                "totalRounds": {
                    "type": "string"
                },
                "updateBy": {
                    "type": "integer"
                }
            }
        },
        "dto.OrgSeasonUpdateReq": {
            "type": "object",
            "properties": {
                "createBy": {
                    "type": "integer"
                },
                "divisionId": {
                    "type": "string"
                },
                "endTime": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "leagueId": {
                    "type": "string"
                },
                "seasonName": {
                    "type": "string"
                },
                "startTime": {
                    "type": "string"
                },
                "status": {
                    "type": "string"
                },
                "totalRounds": {
                    "type": "string"
                },
                "updateBy": {
                    "type": "integer"
                }
            }
        },
        "dto.OrgTeamGetPageReq": {
            "type": "object",
            "properties": {
                "clubId": {
                    "type": "string"
                },
                "createBy": {
                    "type": "string"
                },
                "createEndTime": {
                    "description": "结束时间",
                    "type": "string"
                },
                "createStartTime": {
                    "description": "开始时间",
                    "type": "string"
                },
                "createdAt": {
                    "type": "string"
                },
                "deletedAt": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "pageIndex": {
                    "type": "integer"
                },
                "pageSize": {
                    "type": "integer"
                },
                "teamName": {
                    "type": "string"
                },
                "updateBy": {
                    "type": "string"
                },
                "updatedAt": {
                    "type": "string"
                }
            }
        },
        "dto.OrgTeamInsertReq": {
            "type": "object",
            "properties": {
                "clubId": {
                    "type": "string"
                },
                "createBy": {
                    "type": "integer"
                },
                "teamName": {
                    "type": "string"
                },
                "updateBy": {
                    "type": "integer"
                }
            }
        },
        "dto.OrgTeamMatchGetPageReq": {
            "type": "object",
            "properties": {
                "divisionId": {
                    "type": "string"
                },
                "leagueId": {
                    "type": "string"
                },
                "matchEndTime": {
                    "type": "string"
                },
                "matchStartTime": {
                    "type": "string"
                },
                "pageIndex": {
                    "type": "integer"
                },
                "pageSize": {
                    "type": "integer"
                },
                "rounds": {
                    "type": "string"
                },
                "seasonId": {
                    "type": "string"
                },
                "status": {
                    "type": "string"
                },
                "teamId": {
                    "type": "string"
                }
            }
        },
        "dto.OrgTeamPlayerGetPageReq": {
            "type": "object",
            "properties": {
                "divisionId": {
                    "description": "赛区id",
                    "type": "string"
                },
                "leagueId": {
                    "description": "联赛级别id",
                    "type": "string"
                },
                "pageIndex": {
                    "type": "integer"
                },
                "pageSize": {
                    "type": "integer"
                },
                "playerName": {
                    "description": "球员名称",
                    "type": "string"
                },
                "rounds": {
                    "description": "轮次",
                    "type": "string"
                },
                "seasonId": {
                    "description": "赛季id",
                    "type": "string"
                }
            }
        },
        "dto.OrgTeamTeamGetPageReq": {
            "type": "object",
            "properties": {
                "divisionId": {
                    "type": "string"
                },
                "leagueId": {
                    "type": "string"
                },
                "pageIndex": {
                    "type": "integer"
                },
                "pageSize": {
                    "type": "integer"
                },
                "rounds": {
                    "type": "string"
                },
                "seasonId": {
                    "type": "string"
                },
                "teamId": {
                    "type": "string"
                }
            }
        },
        "dto.OrgTeamUpdateReq": {
            "type": "object",
            "properties": {
                "clubId": {
                    "type": "string"
                },
                "createBy": {
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "teamName": {
                    "type": "string"
                },
                "updateBy": {
                    "type": "integer"
                }
            }
        },
        "dto.OrgTeamUserGetPageReq": {
            "type": "object",
            "properties": {
                "name": {
                    "description": "姓名",
                    "type": "string"
                },
                "pageIndex": {
                    "type": "integer"
                },
                "pageSize": {
                    "type": "integer"
                },
                "status": {
                    "description": "状态 1 离职 2 在职",
                    "type": "string"
                },
                "teamName": {
                    "description": "球队名称",
                    "type": "string"
                }
            }
        },
        "dto.OrgTeamUserInsertReq": {
            "type": "object",
            "properties": {
                "clubId": {
                    "type": "string"
                },
                "createBy": {
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                },
                "name_en": {
                    "type": "string"
                },
                "roleId": {
                    "type": "string"
                },
                "sex": {
                    "type": "string"
                },
                "signImg": {
                    "type": "string"
                },
                "teamId": {
                    "type": "string"
                },
                "updateBy": {
                    "type": "integer"
                },
                "userId": {
                    "type": "string"
                },
                "userImg": {
                    "type": "string"
                },
                "username": {
                    "type": "string"
                }
            }
        },
        "dto.OrgTeamUserUpdateReq": {
            "type": "object",
            "properties": {
                "clubId": {
                    "type": "string"
                },
                "createBy": {
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                },
                "name_en": {
                    "type": "string"
                },
                "roleId": {
                    "type": "string"
                },
                "sex": {
                    "type": "string"
                },
                "signImg": {
                    "type": "string"
                },
                "status": {
                    "description": "状态 1 离职 2 在职",
                    "type": "string"
                },
                "teamId": {
                    "type": "string"
                },
                "updateBy": {
                    "type": "integer"
                },
                "userId": {
                    "type": "string"
                },
                "userImg": {
                    "type": "string"
                },
                "userName": {
                    "type": "string"
                }
            }
        },
        "dto.OrgTeamUserUpdateStatusReq": {
            "type": "object",
            "properties": {
                "createBy": {
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "status": {
                    "description": "状态 1 离职 2 在职",
                    "type": "string"
                },
                "updateBy": {
                    "type": "integer"
                }
            }
        },
        "dto.PassWord": {
            "type": "object",
            "properties": {
                "newPassword": {
                    "type": "string"
                },
                "oldPassword": {
                    "type": "string"
                }
            }
        },
        "dto.ResetSysUserPwdReq": {
            "type": "object",
            "properties": {
                "createBy": {
                    "type": "integer"
                },
                "password": {
                    "type": "string"
                },
                "updateBy": {
                    "type": "integer"
                },
                "userId": {
                    "description": "用户ID",
                    "type": "integer"
                }
            }
        },
        "dto.RoleDataScopeReq": {
            "type": "object",
            "required": [
                "dataScope",
                "roleId"
            ],
            "properties": {
                "dataScope": {
                    "type": "string"
                },
                "deptIds": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "roleId": {
                    "type": "integer"
                }
            }
        },
        "dto.SysApiDeleteReq": {
            "type": "object",
            "properties": {
                "ids": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "dto.SysApiUpdateReq": {
            "type": "object",
            "properties": {
                "action": {
                    "type": "string"
                },
                "createBy": {
                    "type": "integer"
                },
                "handle": {
                    "type": "string"
                },
                "id": {
                    "description": "编码",
                    "type": "integer"
                },
                "path": {
                    "type": "string"
                },
                "title": {
                    "type": "string"
                },
                "type": {
                    "type": "string"
                },
                "updateBy": {
                    "type": "integer"
                }
            }
        },
        "dto.SysConfigControl": {
            "type": "object",
            "properties": {
                "configKey": {
                    "type": "string"
                },
                "configName": {
                    "type": "string"
                },
                "configType": {
                    "type": "string"
                },
                "configValue": {
                    "type": "string"
                },
                "createBy": {
                    "type": "integer"
                },
                "id": {
                    "description": "编码",
                    "type": "integer"
                },
                "isFrontend": {
                    "type": "integer"
                },
                "remark": {
                    "type": "string"
                },
                "updateBy": {
                    "type": "integer"
                }
            }
        },
        "dto.SysDeptDeleteReq": {
            "type": "object",
            "properties": {
                "ids": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "dto.SysDeptInsertReq": {
            "type": "object",
            "properties": {
                "createBy": {
                    "type": "integer"
                },
                "deptId": {
                    "description": "编码",
                    "type": "integer"
                },
                "deptName": {
                    "description": "部门名称",
                    "type": "string"
                },
                "deptPath": {
                    "description": "路径",
                    "type": "string"
                },
                "email": {
                    "description": "邮箱",
                    "type": "string"
                },
                "leader": {
                    "description": "负责人",
                    "type": "string"
                },
                "parentId": {
                    "description": "上级部门",
                    "type": "integer"
                },
                "phone": {
                    "description": "手机",
                    "type": "string"
                },
                "sort": {
                    "description": "排序",
                    "type": "integer"
                },
                "status": {
                    "description": "状态",
                    "type": "integer"
                },
                "updateBy": {
                    "type": "integer"
                }
            }
        },
        "dto.SysDeptUpdateReq": {
            "type": "object",
            "properties": {
                "createBy": {
                    "type": "integer"
                },
                "deptId": {
                    "description": "编码",
                    "type": "integer"
                },
                "deptName": {
                    "description": "部门名称",
                    "type": "string"
                },
                "deptPath": {
                    "description": "路径",
                    "type": "string"
                },
                "email": {
                    "description": "邮箱",
                    "type": "string"
                },
                "leader": {
                    "description": "负责人",
                    "type": "string"
                },
                "parentId": {
                    "description": "上级部门",
                    "type": "integer"
                },
                "phone": {
                    "description": "手机",
                    "type": "string"
                },
                "sort": {
                    "description": "排序",
                    "type": "integer"
                },
                "status": {
                    "description": "状态",
                    "type": "integer"
                },
                "updateBy": {
                    "type": "integer"
                }
            }
        },
        "dto.SysDictDataDeleteReq": {
            "type": "object",
            "properties": {
                "createBy": {
                    "type": "integer"
                },
                "ids": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "updateBy": {
                    "type": "integer"
                }
            }
        },
        "dto.SysDictDataInsertReq": {
            "type": "object",
            "properties": {
                "createBy": {
                    "type": "integer"
                },
                "cssClass": {
                    "type": "string"
                },
                "default": {
                    "type": "string"
                },
                "dictLabel": {
                    "type": "string"
                },
                "dictSort": {
                    "type": "integer"
                },
                "dictType": {
                    "type": "string"
                },
                "dictValue": {
                    "type": "string"
                },
                "isDefault": {
                    "type": "string"
                },
                "listClass": {
                    "type": "string"
                },
                "remark": {
                    "type": "string"
                },
                "status": {
                    "type": "integer"
                },
                "updateBy": {
                    "type": "integer"
                }
            }
        },
        "dto.SysDictDataUpdateReq": {
            "type": "object",
            "properties": {
                "createBy": {
                    "type": "integer"
                },
                "cssClass": {
                    "type": "string"
                },
                "default": {
                    "type": "string"
                },
                "dictLabel": {
                    "type": "string"
                },
                "dictSort": {
                    "type": "integer"
                },
                "dictType": {
                    "type": "string"
                },
                "dictValue": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "isDefault": {
                    "type": "string"
                },
                "listClass": {
                    "type": "string"
                },
                "remark": {
                    "type": "string"
                },
                "status": {
                    "type": "integer"
                },
                "updateBy": {
                    "type": "integer"
                }
            }
        },
        "dto.SysDictTypeDeleteReq": {
            "type": "object",
            "properties": {
                "createBy": {
                    "type": "integer"
                },
                "ids": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "updateBy": {
                    "type": "integer"
                }
            }
        },
        "dto.SysDictTypeInsertReq": {
            "type": "object",
            "properties": {
                "createBy": {
                    "type": "integer"
                },
                "dictName": {
                    "type": "string"
                },
                "dictType": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "remark": {
                    "type": "string"
                },
                "status": {
                    "type": "integer"
                },
                "updateBy": {
                    "type": "integer"
                }
            }
        },
        "dto.SysDictTypeUpdateReq": {
            "type": "object",
            "properties": {
                "createBy": {
                    "type": "integer"
                },
                "dictName": {
                    "type": "string"
                },
                "dictType": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "remark": {
                    "type": "string"
                },
                "status": {
                    "type": "integer"
                },
                "updateBy": {
                    "type": "integer"
                }
            }
        },
        "dto.SysLoginLogDeleteReq": {
            "type": "object",
            "properties": {
                "ids": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "dto.SysMenuDeleteReq": {
            "type": "object",
            "properties": {
                "createBy": {
                    "type": "integer"
                },
                "ids": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "updateBy": {
                    "type": "integer"
                }
            }
        },
        "dto.SysMenuInsertReq": {
            "type": "object",
            "properties": {
                "action": {
                    "description": "请求方式",
                    "type": "string"
                },
                "apis": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "breadcrumb": {
                    "description": "是否面包屑",
                    "type": "string"
                },
                "component": {
                    "description": "组件",
                    "type": "string"
                },
                "createBy": {
                    "type": "integer"
                },
                "icon": {
                    "description": "图标",
                    "type": "string"
                },
                "isFrame": {
                    "description": "是否frame",
                    "type": "string"
                },
                "menuId": {
                    "description": "编码",
                    "type": "integer"
                },
                "menuName": {
                    "description": "菜单name",
                    "type": "string"
                },
                "menuType": {
                    "description": "菜单类型",
                    "type": "string"
                },
                "noCache": {
                    "description": "是否缓存",
                    "type": "boolean"
                },
                "parentId": {
                    "description": "上级菜单",
                    "type": "integer"
                },
                "path": {
                    "description": "路径",
                    "type": "string"
                },
                "paths": {
                    "description": "id路径",
                    "type": "string"
                },
                "permission": {
                    "description": "权限编码",
                    "type": "string"
                },
                "sort": {
                    "description": "排序",
                    "type": "integer"
                },
                "sysApi": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.SysApi"
                    }
                },
                "title": {
                    "description": "显示名称",
                    "type": "string"
                },
                "updateBy": {
                    "type": "integer"
                },
                "visible": {
                    "description": "是否显示",
                    "type": "string"
                }
            }
        },
        "dto.SysMenuUpdateReq": {
            "type": "object",
            "properties": {
                "action": {
                    "description": "请求方式",
                    "type": "string"
                },
                "apis": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "breadcrumb": {
                    "description": "是否面包屑",
                    "type": "string"
                },
                "component": {
                    "description": "组件",
                    "type": "string"
                },
                "createBy": {
                    "type": "integer"
                },
                "icon": {
                    "description": "图标",
                    "type": "string"
                },
                "isFrame": {
                    "description": "是否frame",
                    "type": "string"
                },
                "menuId": {
                    "description": "编码",
                    "type": "integer"
                },
                "menuName": {
                    "description": "菜单name",
                    "type": "string"
                },
                "menuType": {
                    "description": "菜单类型",
                    "type": "string"
                },
                "noCache": {
                    "description": "是否缓存",
                    "type": "boolean"
                },
                "parentId": {
                    "description": "上级菜单",
                    "type": "integer"
                },
                "path": {
                    "description": "路径",
                    "type": "string"
                },
                "paths": {
                    "description": "id路径",
                    "type": "string"
                },
                "permission": {
                    "description": "权限编码",
                    "type": "string"
                },
                "sort": {
                    "description": "排序",
                    "type": "integer"
                },
                "sysApi": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.SysApi"
                    }
                },
                "title": {
                    "description": "显示名称",
                    "type": "string"
                },
                "updateBy": {
                    "type": "integer"
                },
                "visible": {
                    "description": "是否显示",
                    "type": "string"
                }
            }
        },
        "dto.SysOperaLogDeleteReq": {
            "type": "object",
            "properties": {
                "ids": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "dto.SysPostDeleteReq": {
            "type": "object",
            "properties": {
                "createBy": {
                    "type": "integer"
                },
                "ids": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "updateBy": {
                    "type": "integer"
                }
            }
        },
        "dto.SysPostInsertReq": {
            "type": "object",
            "properties": {
                "createBy": {
                    "type": "integer"
                },
                "postCode": {
                    "type": "string"
                },
                "postId": {
                    "type": "integer"
                },
                "postName": {
                    "type": "string"
                },
                "remark": {
                    "type": "string"
                },
                "sort": {
                    "type": "integer"
                },
                "status": {
                    "type": "integer"
                },
                "updateBy": {
                    "type": "integer"
                }
            }
        },
        "dto.SysPostUpdateReq": {
            "type": "object",
            "properties": {
                "createBy": {
                    "type": "integer"
                },
                "postCode": {
                    "type": "string"
                },
                "postId": {
                    "type": "integer"
                },
                "postName": {
                    "type": "string"
                },
                "remark": {
                    "type": "string"
                },
                "sort": {
                    "type": "integer"
                },
                "status": {
                    "type": "integer"
                },
                "updateBy": {
                    "type": "integer"
                }
            }
        },
        "dto.SysRoleDeleteReq": {
            "type": "object",
            "properties": {
                "ids": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "dto.SysRoleInsertReq": {
            "type": "object",
            "properties": {
                "admin": {
                    "type": "boolean"
                },
                "createBy": {
                    "type": "integer"
                },
                "dataScope": {
                    "type": "string"
                },
                "deptIds": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "flag": {
                    "description": "标记",
                    "type": "string"
                },
                "menuIds": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "roleId": {
                    "description": "角色编码",
                    "type": "integer"
                },
                "roleKey": {
                    "description": "角色代码",
                    "type": "string"
                },
                "roleName": {
                    "description": "角色名称",
                    "type": "string"
                },
                "roleSort": {
                    "description": "角色排序",
                    "type": "integer"
                },
                "status": {
                    "description": "状态",
                    "type": "string"
                },
                "sysDept": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.SysDept"
                    }
                },
                "sysMenu": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.SysMenu"
                    }
                },
                "updateBy": {
                    "type": "integer"
                }
            }
        },
        "dto.SysRoleUpdateReq": {
            "type": "object",
            "properties": {
                "admin": {
                    "type": "boolean"
                },
                "createBy": {
                    "type": "integer"
                },
                "dataScope": {
                    "type": "string"
                },
                "deptIds": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "flag": {
                    "description": "标记",
                    "type": "string"
                },
                "menuIds": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "roleId": {
                    "description": "角色编码",
                    "type": "integer"
                },
                "roleKey": {
                    "description": "角色代码",
                    "type": "string"
                },
                "roleName": {
                    "description": "角色名称",
                    "type": "string"
                },
                "roleSort": {
                    "description": "角色排序",
                    "type": "integer"
                },
                "status": {
                    "description": "状态",
                    "type": "string"
                },
                "sysDept": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.SysDept"
                    }
                },
                "sysMenu": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.SysMenu"
                    }
                },
                "updateBy": {
                    "type": "integer"
                }
            }
        },
        "dto.SysUserInsertReq": {
            "type": "object",
            "properties": {
                "avatar": {
                    "type": "string"
                },
                "createBy": {
                    "type": "integer"
                },
                "deptId": {
                    "type": "integer"
                },
                "email": {
                    "type": "string"
                },
                "nickName": {
                    "type": "string"
                },
                "nickNameEn": {
                    "type": "string"
                },
                "password": {
                    "type": "string"
                },
                "phone": {
                    "type": "string"
                },
                "postId": {
                    "type": "integer"
                },
                "remark": {
                    "type": "string"
                },
                "roleId": {
                    "type": "integer"
                },
                "sex": {
                    "type": "string"
                },
                "status": {
                    "type": "string",
                    "default": "2"
                },
                "updateBy": {
                    "type": "integer"
                },
                "userId": {
                    "description": "用户ID",
                    "type": "integer"
                },
                "username": {
                    "type": "string"
                }
            }
        },
        "dto.SysUserUpdateReq": {
            "type": "object",
            "properties": {
                "avatar": {
                    "type": "string"
                },
                "createBy": {
                    "type": "integer"
                },
                "deptId": {
                    "type": "integer"
                },
                "email": {
                    "type": "string"
                },
                "nickName": {
                    "type": "string"
                },
                "nickNameEn": {
                    "type": "string"
                },
                "phone": {
                    "type": "string"
                },
                "postId": {
                    "type": "integer"
                },
                "remark": {
                    "type": "string"
                },
                "roleId": {
                    "type": "integer"
                },
                "sex": {
                    "type": "string"
                },
                "status": {
                    "type": "string",
                    "default": "2"
                },
                "updateBy": {
                    "type": "integer"
                },
                "userId": {
                    "description": "用户ID",
                    "type": "integer"
                },
                "username": {
                    "type": "string"
                }
            }
        },
        "dto.UpdateOrgMatchTeamPlayerReq": {
            "type": "object",
            "properties": {
                "matchId": {
                    "type": "string"
                },
                "otherTeamId": {
                    "type": "string"
                },
                "playersIds": {
                    "type": "string"
                },
                "rounds": {
                    "type": "string"
                }
            }
        },
        "dto.UpdateStatusReq": {
            "type": "object",
            "properties": {
                "createBy": {
                    "type": "integer"
                },
                "roleId": {
                    "description": "角色编码",
                    "type": "integer"
                },
                "status": {
                    "description": "状态",
                    "type": "string"
                },
                "updateBy": {
                    "type": "integer"
                }
            }
        },
        "dto.UpdateSysUserStatusReq": {
            "type": "object",
            "properties": {
                "createBy": {
                    "type": "integer"
                },
                "status": {
                    "type": "string"
                },
                "updateBy": {
                    "type": "integer"
                },
                "userId": {
                    "description": "用户ID",
                    "type": "integer"
                }
            }
        },
        "handler.Login": {
            "type": "object",
            "required": [
                "code",
                "password",
                "username",
                "uuid"
            ],
            "properties": {
                "code": {
                    "type": "string"
                },
                "password": {
                    "type": "string"
                },
                "username": {
                    "type": "string"
                },
                "uuid": {
                    "type": "string"
                }
            }
        },
        "models.SysApi": {
            "type": "object",
            "properties": {
                "action": {
                    "type": "string"
                },
                "createBy": {
                    "type": "integer"
                },
                "createdAt": {
                    "type": "string"
                },
                "handle": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "path": {
                    "type": "string"
                },
                "title": {
                    "type": "string"
                },
                "type": {
                    "type": "string"
                },
                "updateBy": {
                    "type": "integer"
                },
                "updatedAt": {
                    "type": "string"
                }
            }
        },
        "models.SysDept": {
            "type": "object",
            "properties": {
                "createBy": {
                    "type": "integer"
                },
                "createdAt": {
                    "type": "string"
                },
                "deptId": {
                    "description": "部门编码",
                    "type": "integer"
                },
                "deptName": {
                    "description": "部门名称",
                    "type": "string"
                },
                "deptPath": {
                    "type": "string"
                },
                "email": {
                    "description": "邮箱",
                    "type": "string"
                },
                "leader": {
                    "description": "负责人",
                    "type": "string"
                },
                "parentId": {
                    "description": "上级部门",
                    "type": "integer"
                },
                "phone": {
                    "description": "手机",
                    "type": "string"
                },
                "sort": {
                    "description": "排序",
                    "type": "integer"
                },
                "status": {
                    "description": "状态",
                    "type": "integer"
                },
                "updateBy": {
                    "type": "integer"
                },
                "updatedAt": {
                    "type": "string"
                }
            }
        },
        "models.SysMenu": {
            "type": "object",
            "properties": {
                "action": {
                    "type": "string"
                },
                "breadcrumb": {
                    "type": "string"
                },
                "component": {
                    "type": "string"
                },
                "createBy": {
                    "type": "integer"
                },
                "createdAt": {
                    "type": "string"
                },
                "icon": {
                    "type": "string"
                },
                "isFrame": {
                    "type": "string"
                },
                "menuId": {
                    "type": "integer"
                },
                "menuName": {
                    "type": "string"
                },
                "menuType": {
                    "type": "string"
                },
                "noCache": {
                    "type": "boolean"
                },
                "parentId": {
                    "type": "integer"
                },
                "path": {
                    "type": "string"
                },
                "paths": {
                    "type": "string"
                },
                "permission": {
                    "type": "string"
                },
                "sort": {
                    "type": "integer"
                },
                "sysApi": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.SysApi"
                    }
                },
                "title": {
                    "type": "string"
                },
                "updateBy": {
                    "type": "integer"
                },
                "updatedAt": {
                    "type": "string"
                },
                "visible": {
                    "type": "string"
                }
            }
        },
        "tools.Params": {
            "type": "object",
            "properties": {
                "treeCode": {
                    "type": "string"
                },
                "treeName": {
                    "type": "string"
                },
                "treeParentCode": {
                    "type": "string"
                }
            }
        },
        "tools.SysColumns": {
            "type": "object",
            "properties": {
                "columnComment": {
                    "type": "string"
                },
                "columnId": {
                    "type": "integer"
                },
                "columnName": {
                    "type": "string"
                },
                "columnType": {
                    "type": "string"
                },
                "createBy": {
                    "type": "integer"
                },
                "createdAt": {
                    "type": "string"
                },
                "deletedAt": {
                    "type": "string"
                },
                "dictType": {
                    "type": "string"
                },
                "edit": {
                    "type": "boolean"
                },
                "fkCol": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/tools.SysColumns"
                    }
                },
                "fkLabelId": {
                    "type": "string"
                },
                "fkLabelName": {
                    "type": "string"
                },
                "fkTableName": {
                    "type": "string"
                },
                "fkTableNameClass": {
                    "type": "string"
                },
                "fkTableNamePackage": {
                    "type": "string"
                },
                "goField": {
                    "type": "string"
                },
                "goType": {
                    "type": "string"
                },
                "htmlType": {
                    "type": "string"
                },
                "increment": {
                    "type": "boolean"
                },
                "insert": {
                    "type": "boolean"
                },
                "isEdit": {
                    "type": "string"
                },
                "isIncrement": {
                    "type": "string"
                },
                "isInsert": {
                    "type": "string"
                },
                "isList": {
                    "type": "string"
                },
                "isPk": {
                    "type": "string"
                },
                "isQuery": {
                    "type": "string"
                },
                "isRequired": {
                    "type": "string"
                },
                "jsonField": {
                    "type": "string"
                },
                "list": {
                    "type": "string"
                },
                "pk": {
                    "type": "boolean"
                },
                "query": {
                    "type": "boolean"
                },
                "queryType": {
                    "type": "string"
                },
                "remark": {
                    "type": "string"
                },
                "required": {
                    "type": "boolean"
                },
                "sort": {
                    "type": "integer"
                },
                "superColumn": {
                    "type": "boolean"
                },
                "tableId": {
                    "type": "integer"
                },
                "updateBy": {
                    "type": "integer"
                },
                "updatedAt": {
                    "type": "string"
                },
                "usableColumn": {
                    "type": "boolean"
                }
            }
        },
        "tools.SysTables": {
            "type": "object",
            "properties": {
                "businessName": {
                    "type": "string"
                },
                "className": {
                    "description": "类名",
                    "type": "string"
                },
                "columns": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/tools.SysColumns"
                    }
                },
                "createBy": {
                    "type": "integer"
                },
                "createdAt": {
                    "type": "string"
                },
                "crud": {
                    "type": "boolean"
                },
                "dataScope": {
                    "type": "string"
                },
                "deletedAt": {
                    "type": "string"
                },
                "functionAuthor": {
                    "description": "功能作者",
                    "type": "string"
                },
                "functionName": {
                    "description": "功能名称",
                    "type": "string"
                },
                "isActions": {
                    "type": "integer"
                },
                "isAuth": {
                    "type": "integer"
                },
                "isDataScope": {
                    "type": "integer"
                },
                "isLogicalDelete": {
                    "type": "string"
                },
                "logicalDelete": {
                    "type": "boolean"
                },
                "logicalDeleteColumn": {
                    "type": "string"
                },
                "moduleFrontName": {
                    "description": "前端文件名",
                    "type": "string"
                },
                "moduleName": {
                    "description": "go文件名",
                    "type": "string"
                },
                "options": {
                    "type": "string"
                },
                "packageName": {
                    "description": "包名",
                    "type": "string"
                },
                "params": {
                    "type": "object",
                    "$ref": "#/definitions/tools.Params"
                },
                "pkColumn": {
                    "type": "string"
                },
                "pkGoField": {
                    "type": "string"
                },
                "pkJsonField": {
                    "type": "string"
                },
                "remark": {
                    "type": "string"
                },
                "tableComment": {
                    "description": "表备注",
                    "type": "string"
                },
                "tableId": {
                    "description": "表编码",
                    "type": "integer"
                },
                "tableName": {
                    "description": "表名称",
                    "type": "string"
                },
                "tplCategory": {
                    "type": "string"
                },
                "tree": {
                    "type": "boolean"
                },
                "treeCode": {
                    "type": "string"
                },
                "treeName": {
                    "type": "string"
                },
                "treeParentCode": {
                    "type": "string"
                },
                "updateBy": {
                    "type": "integer"
                },
                "updatedAt": {
                    "type": "string"
                }
            }
        }
    },
    "securityDefinitions": {
        "Bearer": {
            "type": "apiKey",
            "name": "Authorization",
            "in": "header"
        }
    }
}`

type swaggerInfo struct {
	Version     string
	Host        string
	BasePath    string
	Schemes     []string
	Title       string
	Description string
}

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = swaggerInfo{
	Version:     "2.0.0",
	Host:        "",
	BasePath:    "",
	Schemes:     []string{},
	Title:       "go-admin API",
	Description: "基于Gin + Vue + Element UI的前后端分离权限管理系统的接口文档\n添加qq群: 521386980 进入技术交流群 请先star，谢谢！",
}

type s struct{}

func (s *s) ReadDoc() string {
	sInfo := SwaggerInfo
	sInfo.Description = strings.Replace(sInfo.Description, "\n", "\\n", -1)

	t, err := template.New("swagger_info").Funcs(template.FuncMap{
		"marshal": func(v interface{}) string {
			a, _ := json.Marshal(v)
			return string(a)
		},
	}).Parse(doc)
	if err != nil {
		return doc
	}

	var tpl bytes.Buffer
	if err := t.Execute(&tpl, sInfo); err != nil {
		return doc
	}

	return tpl.String()
}

func init() {
	swag.Register(swag.Name, &s{})
}
